package com.book.push.service.dao.impl;

import com.book.push.dao.mapper.ConfigMapper;
import com.book.push.dao.pojo.Config;
import com.book.push.service.dao.ConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * created in 2021/8/20
 * Project: book-store
 *
 * @author win7
 */
@Service("configService")
public class ConfigServiceImpl implements ConfigService {
    @Autowired
    private ConfigMapper configMapper;

    @Override
    public Config selectByName(String name) {
        return configMapper.selectByName(name);
    }
}
