package com.book.server.service;

import com.book.dao.VO.*;
import com.book.dao.cps.pojo.SearchKeyword;

import java.util.List;

public interface BookService {
    List<BookRes> query(QueryVO queryVO);
    List<BookRes> recommendByRead(QueryVO queryVO);

    List<BlockRes> getBlockByPageId(Integer pageId);

    void insertBooks();

    List<Chapter> getChaptersByBookId(String bookId);

    List<SearchKeyword> getSearchKeywordBySex(String sex);

    List<BookRes> topRecommend(QueryVO queryVO);

    List<BookRes> smartRecommand(QueryVO queryVO);

    BookContent getContentByContentId(String bookId,String contentId);
}
