package com.book.push.service.dao.impl;

import com.book.push.dao.mapper.CustomMapper;
import com.book.push.dao.pojo.Custom;
import com.book.push.service.dao.CustomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * created in 2021/8/17
 * Project: book-store
 *
 * @author win7
 */
@Service("customService")
public class CustomServiceImpl implements CustomService {
    @Autowired
    private CustomMapper customMapper;

    @Override
    public List<Custom> selectListBeforeSendTime() {
        return customMapper.selectListBeforeSendTime();
    }
}
