package com.book.server.service.impl;

import com.book.dao.cps.mapper.UserMapper;
import com.book.dao.cps.pojo.User;
import com.book.dao.cps.pojo.example.UserExample;
import com.book.server.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserMapper userMapper;

    @Override
    public User getUserByOpenId(String openid) {
        User user = userMapper.selectOneByExample(
                UserExample.newAndCreateCriteria()
                        .andOpenidEqualTo(openid)
                        .example()
        );
        return user;
    }
}
